Adds a node to the cluster.Ask AIpost https://api.cast.ai/v1/kubernetes/external-clusters/{clusterId}/nodesPath ParamsclusterIdstringrequiredThe ID of the cluster.Body ParamsNew node configuration.instanceTypestringrequiredInstance type of the node.spotConfigobjectNodeSpotConfig defines if node should be created as spot instance, and params for creation.spotConfig objectzonestring | nullZone of the node.subnetIdstring | nullNode subnet ID.volumeobjectNodeVolume defines node's local root volume configuration.volume objectgpuConfigobjectGPUConfig describes instance GPU configuration. Use for: Creating GCP N1 with customer quantity and type of GPUs attached. Setting required labels for AKS GPU nodes. Configuring gpu sharing. Required while provisioning GCP N1 instance types with GPU. Eg.: n1-standard-2 with 8 x NVIDIA Tesla K80 gpuConfig objectkubernetesLabelsobjectNode Kubernetes labels.kubernetesLabels objectkubernetesTaintsarray of objectsNode Kubernetes taints.kubernetesTaintsADD objectconfigurationNamestring | nullName reference of Node configuration (template)to be used for node creation. Superseded if Configuration ID reference is provided. Request will fail if several configurations with same name exists for a given cluster.configurationIdstring | nullID reference of Node configuration (template) to be used for node creation. Supersedes Configuration Name.nodeAffinityobjectNodeAffinity provides control over the assignment of individual nodes to dedicated host instances.nodeAffinity objectedgeConfigobjectEdgeConfig holds Edge specific configuration.edgeConfig objectawsobjectAWSNodeConfig holds AWS-specific configuration for node provisioning.aws objectResponse 200A successful response.Updated 7 months ago